Bug 291786 - KDE NetworkManager crashes every few seconds, non-stop, during any normal PC usage.
Summary: KDE NetworkManager crashes every few seconds, non-stop, during any normal PC ...
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: solid
Classification: Unclassified
Component: networkmanagement (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-17 15:46 UTC by bugzilla.kde
Modified: 2012-04-01 21:51 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (10.45 KB, text/plain)
2012-01-17 16:19 UTC, bugzilla.kde
Details
New crash information added by DrKonqi (10.30 KB, text/plain)
2012-01-17 16:41 UTC, bugzilla.kde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla.kde 2012-01-17 15:46:17 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.7.4 (4.7.4)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-15-generic i686
Distribution: Ubuntu 11.10

-- Information about the crash:
- What I was doing when the application crashed:
Using my computer normally.  Nothing in particular triggers it, but it happens every few seconds, non-stop.

- Unusual behavior I noticed:
The KDE menubars flicker and then crash, I'm disconnected from the wireless network constantly, the KDE window decorations crash.  This happens literally every 15 seconds (at the most), and makes the PC completely unusable.

I've had to resort to using (shudder) Unity to escape this crap, as KDE is completely non-functioning due to this bug as of latest update.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7885b20 (LWP 4711))]

Thread 4 (Thread 0xb1941b70 (LWP 4712)):
#0  0x00979d10 in __GI_clock_gettime (clock_id=1, tp=0xb1941018) at ../sysdeps/unix/clock_gettime.c:116
#1  0x05fd77d5 in do_gettime (frac=0xb1941010, sec=0xb1941008) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x060aa4b6 in QTimerInfoList::updateCurrentTime (this=0x9c653c4) at kernel/qeventdispatcher_unix.cpp:339
#4  0x060aa80a in QTimerInfoList::timerWait (this=0x9c653c4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x060a9053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xb194111c) at kernel/qeventdispatcher_glib.cpp:136
#6  0x060a90ed in timerSourcePrepare (source=0x9c65390, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x03c0188c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0x03c02637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0x03c02c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0x060a9b37 in QEventDispatcherGlib::processEvents (this=0x9c64670, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0x0607a1dd in QEventLoop::processEvents (this=0xb19412a0, flags=...) at kernel/qeventloop.cpp:149
#12 0x0607a421 in QEventLoop::exec (this=0xb19412a0, flags=...) at kernel/qeventloop.cpp:201
#13 0x05f7d90b in QThread::exec (this=0x9c62ba8) at thread/qthread.cpp:498
#14 0x0605ae2d in QInotifyFileSystemWatcherEngine::run (this=0x9c62ba8) at io/qfilesystemwatcher_inotify.cpp:248
#15 0x05f807b3 in QThreadPrivate::start (arg=0x9c62ba8) at thread/qthread_unix.cpp:331
#16 0x03baad31 in start_thread (arg=0xb1941b70) at pthread_create.c:304
#17 0x006190ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 3 (Thread 0xaff12b70 (LWP 4713)):
#0  idleTimerSourcePrepare (source=0x9ccbfc0, timeout=0xaff1211c) at kernel/qeventdispatcher_glib.cpp:204
#1  0x03c0188c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0x03c02637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03c02c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x060a9b37 in QEventDispatcherGlib::processEvents (this=0x9cc93b8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0x0607a1dd in QEventLoop::processEvents (this=0xaff122a0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0607a421 in QEventLoop::exec (this=0xaff122a0, flags=...) at kernel/qeventloop.cpp:201
#7  0x05f7d90b in QThread::exec (this=0x9ccb878) at thread/qthread.cpp:498
#8  0x0605ae2d in QInotifyFileSystemWatcherEngine::run (this=0x9ccb878) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x05f807b3 in QThreadPrivate::start (arg=0x9ccb878) at thread/qthread_unix.cpp:331
#10 0x03baad31 in start_thread (arg=0xaff12b70) at pthread_create.c:304
#11 0x006190ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 2 (Thread 0xadc90b70 (LWP 4721)):
#0  __libc_enable_asynccancel () at ../nptl/cancellation.c:44
#1  0x0060a3f7 in __GI___poll (fds=0xa1b11e8, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:85
#2  0x03c1134b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0x03c02896 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0x03c02f9b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0x06519cea in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0x03c295f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0x03baad31 in start_thread (arg=0xadc90b70) at pthread_create.c:304
#8  0x006190ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb7885b20 (LWP 4711)):
[KCrash Handler]
#7  0x053b168c in Solid::Control::NetworkInterfaceNm09::connectionState (this=0x0) at ../../../../../solidcontrolfuture/libs/solid/control/networkinterface.cpp:119
#8  0x08f4b0e6 in WirelessInterfaceItem::setConnectionInfo (this=0x9fdb720) at ../../applet/wirelessinterfaceitem.cpp:65
#9  0x08f4b082 in WirelessInterfaceItem::updateInfo (this=0x9fdb720) at ../../applet/wirelessinterfaceitem.cpp:54
#10 0x08f3b266 in WirelessInterfaceItem::qt_metacall (this=0x9fdb720, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc195a8) at moc_wirelessinterfaceitem.cpp:74
#11 0x06081b7d in metacall (argv=0xbfc195a8, idx=58, cl=QMetaObject::InvokeMetaMethod, object=0x9fdb720) at kernel/qmetaobject.cpp:237
#12 QMetaObject::metacall (object=0x9fdb720, cl=QMetaObject::InvokeMetaMethod, idx=58, argv=0xbfc195a8) at kernel/qmetaobject.cpp:232
#13 0x06090a6a in QMetaObject::activate (sender=0xaac21b0, m=0x8f62acc, local_signal_index=0, argv=0xbfc195a8) at kernel/qobject.cpp:3278
#14 0x08f3ab75 in WirelessStatus::strengthChanged (this=0xaac21b0, _t1=80) at moc_wirelessstatus.cpp:94
#15 0x08f5574e in WirelessStatus::setStrength (this=0xaac21b0, strength=80) at ../../applet/wirelessstatus.cpp:189
#16 0x08f3ac4d in WirelessStatus::qt_metacall (this=0xaac21b0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc196e8) at moc_wirelessstatus.cpp:80
#17 0x06081b7d in metacall (argv=0xbfc196e8, idx=5, cl=QMetaObject::InvokeMetaMethod, object=0xaac21b0) at kernel/qmetaobject.cpp:237
#18 QMetaObject::metacall (object=0xaac21b0, cl=QMetaObject::InvokeMetaMethod, idx=5, argv=0xbfc196e8) at kernel/qmetaobject.cpp:232
#19 0x06090a6a in QMetaObject::activate (sender=0xa57d760, m=0x53bdd78, local_signal_index=0, argv=0xbfc196e8) at kernel/qobject.cpp:3278
#20 0x053b4395 in Solid::Control::AccessPointNm09::signalStrengthChanged (this=0xa57d760, _t1=80) at ./wirelessaccesspoint.moc:126
#21 0x053b468d in Solid::Control::AccessPointNm09::qt_metacall (this=0xa57d760, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc19818) at ./wirelessaccesspoint.moc:108
#22 0x06081b7d in metacall (argv=0xbfc19818, idx=4, cl=QMetaObject::InvokeMetaMethod, object=0xa57d760) at kernel/qmetaobject.cpp:237
#23 QMetaObject::metacall (object=0xa57d760, cl=QMetaObject::InvokeMetaMethod, idx=4, argv=0xbfc19818) at kernel/qmetaobject.cpp:232
#24 0x06090a6a in QMetaObject::activate (sender=0xa4ed648, m=0x7baa984, local_signal_index=0, argv=0xbfc19818) at kernel/qobject.cpp:3278
#25 0x07ba7c55 in Solid::Control::Ifaces::AccessPointNm09::signalStrengthChanged (this=0xa4ed648, _t1=80) at moc_wirelessaccesspoint.cpp:100
#26 0x09614ff1 in NMAccessPoint::propertiesChanged (this=0xa4ed648, properties=...) at ../../../../solidcontrolfuture/solid/networkmanager-0.9/accesspoint.cpp:191
#27 0x096153e5 in NMAccessPoint::qt_metacall (this=0xa4ed648, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfc19a08) at ./accesspoint.moc:77
#28 0x06081b7d in metacall (argv=0xbfc19a08, idx=10, cl=QMetaObject::InvokeMetaMethod, object=0xa4ed648) at kernel/qmetaobject.cpp:237
#29 QMetaObject::metacall (object=0xa4ed648, cl=QMetaObject::InvokeMetaMethod, idx=10, argv=0xbfc19a08) at kernel/qmetaobject.cpp:232
#30 0x06090a6a in QMetaObject::activate (sender=0xa5238b0, m=0x963ab98, local_signal_index=0, argv=0xbfc19a08) at kernel/qobject.cpp:3278
#31 0x0962b5a5 in OrgFreedesktopNetworkManagerAccessPointInterface::PropertiesChanged (this=0xa5238b0, _t1=...) at ./nm-access-pointinterface.moc:130
#32 0x0962b631 in OrgFreedesktopNetworkManagerAccessPointInterface::qt_metacall (this=0xa5238b0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfc19b9c) at ./nm-access-pointinterface.moc:87
#33 0x004c7d87 in QDBusConnectionPrivate::deliverCall (this=0x9826490, object=0xa5238b0, msg=..., metaTypes=..., slotIdx=0) at qdbusintegrator.cpp:942
#34 0x004d1c26 in QDBusCallDeliveryEvent::placeMetaCall (this=0xa82a8e8, object=0xa5238b0) at qdbusintegrator_p.h:103
#35 0x06093b52 in QObject::event (this=0xa5238b0, e=0xa82a8e8) at kernel/qobject.cpp:1217
#36 0x014d3d84 in notify_helper (e=0xa82a8e8, receiver=0xa5238b0, this=0x9726d68) at kernel/qapplication.cpp:4486
#37 QApplicationPrivate::notify_helper (this=0x9726d68, receiver=0xa5238b0, e=0xa82a8e8) at kernel/qapplication.cpp:4458
#38 0x014d9133 in QApplication::notify (this=0xa82a8e8, receiver=0xa5238b0, e=0xa82a8e8) at kernel/qapplication.cpp:3886
#39 0x01129971 in KApplication::notify (this=0x970f938, receiver=0xa5238b0, event=0xa82a8e8) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x0607b19e in QCoreApplication::notifyInternal (this=0x970f938, receiver=0xa5238b0, event=0xa82a8e8) at kernel/qcoreapplication.cpp:787
#41 0x0607ef93 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x96da2e0) at kernel/qcoreapplication.cpp:1428
#43 0x0607f0ec in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1321
#44 0x060a96a4 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#45 postEventSourceDispatch (s=0x972d180) at kernel/qeventdispatcher_glib.cpp:277
#46 0x03c0225f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0x03c02990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#48 0x03c02c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0x060a9ada in QEventDispatcherGlib::processEvents (this=0x96db218, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#50 0x0158be7a in QGuiEventDispatcherGlib::processEvents (this=0x96db218, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#51 0x0607a1dd in QEventLoop::processEvents (this=0xbfc1a234, flags=...) at kernel/qeventloop.cpp:149
#52 0x0607a421 in QEventLoop::exec (this=0xbfc1a234, flags=...) at kernel/qeventloop.cpp:201
#53 0x0607f19d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#54 0x014d1924 in QApplication::exec () at kernel/qapplication.cpp:3760
#55 0x003ad18b in kdemain (argc=1, argv=0xbfc1a434) at ../../../../plasma/desktop/shell/main.cpp:120
#56 0x0804850b in main (argc=1, argv=0xbfc1a434) at plasma-desktop_dummy.cpp:3

Reported using DrKonqi
Comment 1 bugzilla.kde 2012-01-17 16:19:55 UTC
Created attachment 67932 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
I booted ccomputer, logged into KDE with KDM, this happens every couple seconds.

- Unusual behavior I noticed:
KDE is unusable, wifi is unusable with KDE networkmanager in charge.

-- Backtrace (Reduced):
#7  0x0437e68c in Solid::Control::NetworkInterfaceNm09::connectionState (this=0x0) at ../../../../../solidcontrolfuture/libs/solid/control/networkinterface.cpp:119
#8  0x0570b0e6 in WirelessInterfaceItem::setConnectionInfo (this=0x981a060) at ../../applet/wirelessinterfaceitem.cpp:65
#9  0x0570b082 in WirelessInterfaceItem::updateInfo (this=0x981a060) at ../../applet/wirelessinterfaceitem.cpp:54
#10 0x056fb266 in WirelessInterfaceItem::qt_metacall (this=0x981a060, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfdd7318) at moc_wirelessinterfaceitem.cpp:74
#11 0x01b42b7d in metacall (argv=0xbfdd7318, idx=58, cl=QMetaObject::InvokeMetaMethod, object=0x981a060) at kernel/qmetaobject.cpp:237
Comment 2 bugzilla.kde 2012-01-17 16:41:38 UTC
Created attachment 67933 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed:
Tried apt-get update, apt-get upgrade, then re-login with kdm.  Same problems, possibly even worse now.

- Unusual behavior I noticed:
The network is disconnected every 3-5 seconds now, instead of every 10-15 seconds like I was experiencing before upgrading anything.  The entire KDE workspace crashes constantly as well, with menubars, window decorations, backgrounds, etc. going away (every 10 seconds or so, just about as quickly as it takes to restore it all after it crashes).

-- Backtrace (Reduced):
#7  0x043d268c in Solid::Control::NetworkInterfaceNm09::connectionState (this=0x0) at ../../../../../solidcontrolfuture/libs/solid/control/networkinterface.cpp:119
#8  0x042a70e6 in WirelessInterfaceItem::setConnectionInfo (this=0x9574948) at ../../applet/wirelessinterfaceitem.cpp:65
#9  0x042a7082 in WirelessInterfaceItem::updateInfo (this=0x9574948) at ../../applet/wirelessinterfaceitem.cpp:54
#10 0x04297266 in WirelessInterfaceItem::qt_metacall (this=0x9574948, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf8df698) at moc_wirelessinterfaceitem.cpp:74
#11 0x013eab7d in metacall (argv=0xbf8df698, idx=58, cl=QMetaObject::InvokeMetaMethod, object=0x9574948) at kernel/qmetaobject.cpp:237
Comment 3 Lamarque V. Souza 2012-01-17 19:50:50 UTC
Git commit 344fc885d1b6cfc108cbceb3adc542500f5a9ee0 by Lamarque V. Souza.
Committed on 17/01/2012 at 20:50.
Pushed by lvsouza into branch 'nm09'.

Do not use null pointer when updating WirelessInterfaceItem.

M  +3    -0    applet/wirelessinterfaceitem.cpp

http://commits.kde.org/networkmanagement/344fc885d1b6cfc108cbceb3adc542500f5a9ee0
Comment 4 Lamarque V. Souza 2012-01-17 19:51:13 UTC
Git commit 14d6c2f1d17db2eeca8b99325a512f3647e0eb6d by Lamarque V. Souza.
Committed on 17/01/2012 at 20:46.
Pushed by lvsouza into branch 'master'.

Do not use null pointer when updating WirelessInterfaceItem.

M  +3    -0    applet/wirelessinterfaceitem.cpp
M  +1    -1    plasma_nm_version.h

http://commits.kde.org/networkmanagement/14d6c2f1d17db2eeca8b99325a512f3647e0eb6d
Comment 5 Lamarque V. Souza 2012-02-02 00:37:25 UTC
Can you check if the commit above fix the problem? The commit entered Plasma NM 0.8.99 (0.9.0_rc4).